
Installer - Bug #26571

CVE-2019-3845 - Add ACLs around Qpid QMF

04/09/2019 05:45 PM - Jonathon Turel

Status: Closed   

Priority: High   

Assignee: Jonathon Turel   

Category: Foreman modules   

Target version: 1.22.0   

Difficulty:  Fixed in Releases: 1.21.3, 1.22.0

Triaged: Yes Found in Releases:  

Bugzilla link: 1685588 Red Hat JIRA:  

Pull request: https://github.com/theforeman/puppet-qpi

d/pull/120,

https://github.com/theforeman/puppet-kat

ello/pull/283,

https://github.com/theforeman/puppet-for

eman_proxy_content/pull/197,

https://github.com/theforeman/foreman-i

nstaller/pull/341,

https://github.com/theforeman/puppet-kat

ello/pull/285,

https://github.com/theforeman/puppet-for

eman_proxy_content/pull/201

  

Description

Associated revisions

Revision 6946aa8d - 04/11/2019 10:12 AM - Jonathon Turel

Refs #26571 - Support ACL file & router auth

Revision d5f45bb9 - 04/11/2019 10:13 AM - Jonathon Turel

Refs #26571 - Add dispatch router auth

Revision fb380464 - 04/11/2019 01:14 PM - Jonathon Turel

Refs #26571 - Add Qpid ACL file

History

#1 - 04/09/2019 05:50 PM - Jonathon Turel

- Project changed from Katello to Installer

- Target version deleted (Katello 3.12.0)

#2 - 04/09/2019 05:53 PM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/puppet-qpid/pull/120 added

#3 - 04/09/2019 05:58 PM - The Foreman Bot

- Pull request https://github.com/theforeman/puppet-katello/pull/283 added

#4 - 04/09/2019 06:01 PM - The Foreman Bot

- Pull request https://github.com/theforeman/puppet-foreman_proxy_content/pull/197 added

#5 - 04/09/2019 06:12 PM - Jonathon Turel

To test (assumes forklifted dev env):
- follow forklift docs (https://github.com/theforeman/forklift/blob/master/docs/development.md#test-puppet-module-pull-requests) to test the linked PRs

- 'vagrant provision centos7-katello-devel'

- verify that /etc/qpid/qpid.acl is populated according to the PR

- verify that /etc/qpid-dispatch/qdrouter.conf "connector" has sasl-mechanism PLAIN, sasl-username katello_agent and sasl-password that resembles

a password

- verify that services qpidd and qdrouterd are running properly

- register a client, verify that package actions can be performed as usual

#6 - 04/09/2019 06:14 PM - Jonathon Turel

- Bugzilla link set to 1685588

#7 - 04/11/2019 01:23 PM - Jonathon Turel

- Priority changed from Normal to High

#8 - 04/11/2019 01:27 PM - Ewoud Kohl van Wijngaarden

- Category set to Foreman modules

- Status changed from Ready For Testing to Closed

- Target version set to 1.22.0

- Triaged changed from No to Yes

- Fixed in Releases 1.22.0 added

#9 - 04/11/2019 04:22 PM - The Foreman Bot

- Pull request https://github.com/theforeman/foreman-installer/pull/341 added

#10 - 04/15/2019 07:18 PM - The Foreman Bot

- Pull request https://github.com/theforeman/puppet-katello/pull/285 added

#11 - 04/18/2019 08:39 AM - Tomer Brisker

- Fixed in Releases 1.21.3 added

#12 - 04/18/2019 08:39 AM - Tomer Brisker

- Subject changed from Add ACLs around Qpid QMF to CVE-2019-3845 - Add ACLs around Qpid QMF

#13 - 04/30/2019 05:34 PM - The Foreman Bot

- Pull request https://github.com/theforeman/puppet-foreman_proxy_content/pull/201 added
